GET /ads/ads
List ads of an ad account (mock mode: the objects created through this instance)
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
accountId*stringConnected Facebook Page account id
adAccountId*stringAd account id (act_...)
parentId?stringAd sets of a campaign / ads of an ad set
statuses?stringComma list of effective statuses
limit?integerMaximum items (default 25, max 100)
Range
1 <= value <= 100Default
25after?stringnext of the previous page
{items, next, mock}
application/json- response
items?array<>next?string|nullmock?booleancurl -X GET 'https://example.com/api/v1/ads/ads?accountId=string&adAccountId=string'Example Response
{ "items": [ {} ], "next": "string", "mock": true}POST /ads/creatives POST
Create a creative from a Page post (objectStoryId), an Instagram post (instagramMediaId) or a new link ad (link, message, headline, imageUrl or imageHash, callToAction). Spends nothing; no confirm needed
POST /ads/ads POST
Create an ad from an ad set and a creative. PAUSED by default; requires confirm: true